Veri seti oluştur
curl --request POST \
--url https://app.azalt.co/api/v1/datasets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"isCommon": true
}
'import requests
url = "https://app.azalt.co/api/v1/datasets"
payload = {
"name": "<string>",
"isCommon": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', isCommon: true})
};
fetch('https://app.azalt.co/api/v1/datasets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"organizationId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Dataset
Veri seti oluştur
Çevresel hesaplamalar için katsayı verilerini barındıracak yeni bir veri seti oluşturur (sahip yetkisi gerektirir).
Gerekli parametreler:
name: Veri seti için benzersiz addescription: Veri setinin içeriği ve amacıdataSource: Verinin kaynağı (örn. “EPA 2024”, “IPCC Guidelines”)version: Güncelleme takibi için sürüm numarası
Sonraki adım: Veri setini oluşturduktan sonra katsayıları dataset-items uç noktalarıyla ekleyin.
Örnek veri setleri:
- “US Electricity Grid Factors 2024” (bölgesel emisyon katsayıları)
- “Fuel Conversion Factors” (enerji içerik değerleri)
- “Transportation Emissions” (araç bazlı faktörler)
POST
/
datasets
Veri seti oluştur
Yetkilendirmeler
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I

